Skip to main content
PUT
/
portfolio
Updates a portfolio
curl --request PUT \
  --url https://api.pipevest.com/v1/portfolio \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Digest: <content-digest>' \
  --header 'Content-Type: application/json' \
  --header 'Signature: <signature>' \
  --header 'Signature-Input: <signature-input>' \
  --header 'X-Client-Id: <x-client-id>' \
  --header 'X-Idempotency-Id: <x-idempotency-id>' \
  --data '
{
  "portfolioId": 123456,
  "currency": "ZK",
  "status": "ACTIVE"
}
'
import requests

url = "https://api.pipevest.com/v1/portfolio"

payload = {
"portfolioId": 123456,
"currency": "ZK",
"status": "ACTIVE"
}
headers = {
"Content-Digest": "<content-digest>",
"X-Idempotency-Id": "<x-idempotency-id>",
"Signature": "<signature>",
"Signature-Input": "<signature-input>",
"X-Client-Id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'Content-Digest': '<content-digest>',
'X-Idempotency-Id': '<x-idempotency-id>',
Signature: '<signature>',
'Signature-Input': '<signature-input>',
'X-Client-Id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({portfolioId: 123456, currency: 'ZK', status: 'ACTIVE'})
};

fetch('https://api.pipevest.com/v1/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "portfolioId": 123456,
    "currency": "ZK",
    "investmentAmount": 1550,
    "marketValue": 11550,
    "performance": 151,
    "status": "ACTIVE",
    "createdAt": 1234567890,
    "updatedAt": 1234567890,
    "accountId": 123456,
    "customerId": 123456
  },
  "code": 200,
  "message": "Success"
}
{
"code": 401,
"message": "Unauthorized"
}
{
"code": 404,
"message": "Not Found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Digest
string
required

Base64 encoded sha-512 hash of the http message body.

This key isn't not required for GET and DELETE requests.

Learn how to generate content digest

Example:

"sha-512=:RK/0qy18MlBSVnWgjwz6lZEWjP/lF5HF9bvEF8FabDg=:"

X-Idempotency-Id
string
required

Unique identifier passed into each a mutable request (i.e POST, PUT, PATCH, DELETE)

This key isn't not required for GET requests

Example:

"01937261-e216-754f-99ba-c1170d65dd28"

Signature
string
required

Base64 encoded signed hash of the http message request components.

Learn how signatures work

Example:

"sig1=:OTEyMjY4...A5NTNDMEQ=:"

Signature-Input
string
required

An ordered list of components that make up the signature base. It is used to recompute and verify the Signature

Learn how signatures work

Example:

"sig1=(\"Content-Type\" \"Content-Digest\"...expires=<expires>"

X-Client-Id
string
required

Unique identifier assigned to the client

Example:

"client-id"

Body

application/json
portfolioId
integer
required

Unique portfolio identifier

Example:

123456

currency
enum<string>

Associated currency

Available options:
USD,
EUR,
ZK
Example:

"ZK"

status
enum<string>

Current status of the portfolio

Available options:
ACTIVE,
SUSPENDED,
CLOSED
Example:

"ACTIVE"

Response

Details of a updated investment portfolio

data
object
required

An investment portfolio

code
string
required

Request response code

Example:

200

message
string
required

Request response message

Example:

"Success"